package com.muyu.networking.opFen;

import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysUser;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/5/27 15:11
 */
@FeignClient("muyu-system")
public interface SysUserNet {

    @PostMapping("/system/user")
    public Result add (@Validated @RequestBody SysUser user);
}
